aligned_space.h File Reference
`#include "internal/_deprecated_header_message_guard.h"`
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "tbb_stddef.h"`
`#include "tbb_machine.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for aligned_space.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.

## Macros

#define | __TBB_aligned_space_H
#define | __TBB_aligned_space_H_include_area

## Functions

template<typename T , size_t N = 1>
class | tbb::__TBB_DEPRECATED_VERBOSE_MSG ("tbb::aligned_space is deprecated, use std::aligned_storage") aligned_space
| Block of space aligned sufficiently to construct an array T with N elements. More...

## Macro Definition Documentation

## __TBB_aligned_space_H

#define __TBB_aligned_space_H

Definition at line 29 of file aligned_space.h.

## __TBB_aligned_space_H_include_area

#define __TBB_aligned_space_H_include_area

Definition at line 31 of file aligned_space.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.